﻿using System.ComponentModel;

namespace XamDockmanagerHeaderBinding.Views
{
    public class MyViewModel : INotifyPropertyChanged
    {

        public MyViewModel()
        {
            DisplayName = "Hello!";
        }


        #region DisplayNameProperty

        private const string DisplayNameString = "DisplayName";

        private string displayName;

        public string DisplayName
        {
            get { return displayName; }
            set
            {
                if (displayName == value) return;
                displayName = value;
                RaisePropertyChanged(DisplayNameString);
            }
        }
        #endregion

        #region INotifyPropertyChanged

        void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
